Problema con codec multimediali

7 risposte [Ultimo messaggio]
Ritratto di olgraz
olgraz
(Junior)
Offline
Junior
Iscritto: 09/10/2010
Messaggi: 11

Buonasera a tutti,

premetto che uso Opensuse tumbleweed, non funziona più nessun programma che richiede codec multimediali es. vlc, handbrake, kaffeine, winff ecc.
I codec li avevo installati con yast one click install e tutto funzionava bene. Non saprei dire se è a causa di qualche aggiornamento poiché non usavo nessuno di quei programmi da diversi giorni.
Qualcuno sa dirmi cosa devo fare?

Ritratto di Grinch
Grinch
(Guru)
Offline
Guru
Iscritto: 05/12/2011
Messaggi: 917

Hai il repo packman adatto a Thumbleweed ?
http://packman.jacobs-university.de/suse/openSUSE_Tumbleweed/

Hai dato a quaesto Repo una pinning adatto (prevalenza sugli altri repo ) ?

Intanto rispondi a queste due domande

Ritratto di olgraz
olgraz
(Junior)
Offline
Junior
Iscritto: 09/10/2010
Messaggi: 11

Ciao,

grazie per aver risposto. Il repo packman è questo:

http://ftp.uni-erlangen.de/pub/mirrors/packman/suse/openSUSE_Tumbleweed

Per prevalenza intendi posizionarlo in cima alla lista dei repos?
in quel caso no.

Ritratto di Grinch
Grinch
(Guru)
Offline
Guru
Iscritto: 05/12/2011
Messaggi: 917

La prevalenza la dai tu mettendo 90 al posto di 99 che è il pinning di default Perciò > yast > repository dei programmi > click sul repo packman > priorità e imposti 90 > accetta chiudi yast
Dal terminale >
sudo zypper ref
sudo zypper dup

Ritratto di olgraz
olgraz
(Junior)
Offline
Junior
Iscritto: 09/10/2010
Messaggi: 11

Bene, ho fatto come hai scritto ed è tornato tutto a posto.
Vorrei solo chiederti se puoi spiegarmi cos'è quel comando "zypper dup" e cosa ha fatto, inoltre cosa comporta settando un repo con una prevalenza maggiore rispetto ad un altro?
Grazie mille mi hai risolto un grosso problema.

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2754

bene metti risolto,grazie

SUSE Tumbleweed- kernel-5.18.6-1 kde-plasma-5.25.1.1.2 Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.143-SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di Grinch
Grinch
(Guru)
Offline
Guru
Iscritto: 05/12/2011
Messaggi: 917

olgraz ha scritto:

Bene, ho fatto come hai scritto ed è tornato tutto a posto.
Vorrei solo chiederti se puoi spiegarmi cos'è quel comando "zypper dup" e cosa ha fatto, inoltre cosa comporta settando un repo con una prevalenza maggiore rispetto ad un altro?
Grazie mille mi hai risolto un grosso problema.

La prevalenza è semplice ,in pratica mettendo 90 al repo packman fai si che anche se dal repo Oss c'è un pacchetto Gstreamer più aggiornato del repo Packman non viene installato , proprio perchè quest' ultimo prevale sull' altro .
Il Multimediale è meglio venga da Packman e in questo modo non hai problemi .
Buon Finesettimana Party

Ritratto di olgraz
olgraz
(Junior)
Offline
Junior
Iscritto: 09/10/2010
Messaggi: 11

Grazie per la spiegazione.
Buon fine settimana anche a te
Ciao